Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.nds.dirxml.driver.xds
Class XDSAllowClassElement

    java.lang.Object
      com.novell.nds.dirxml.driver.xds.ElementImpl
          com.novell.nds.dirxml.driver.xds.XDSAllowClassElement

All Implemented Interfaces:
  XDSElement

public class XDSAllowClassElement
extends ElementImpl

An `<allow-class>` element.

See Also:
  `XDSDriverFilterElement.childElements()`

Method Summary
`List` | `childElements()` Returns this element's child elements.
`List` | `extractAllowAttrElements()` Returns this element's child `allow-attr` elements.
`String` | `getClassName()` Gets the value of this element's `class-name` attribute.

Methods inherited from class com.novell.nds.dirxml.driver.xds.ElementImpl
`attributeValueGet, attributeValueGet, attributeValueSet, documentImpl, domDocument, domElement, localName, namespaceName, position, tagName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getClassName

    public String getClassName()

  Gets the value of this element's `class-name` attribute.

  Invocation Context:
    READ

  Returns:
    will not return `null`; will not return `""`

### extractAllowAttrElements

    public List extractAllowAttrElements()

  Returns this element's child `allow-attr` elements.

  Invocation Context:
    READ

  Returns:
    `Collections.EMPTY_LIST` or a List of `XDSAllowAttrElement` objects; will not return `null`

### childElements

    public List childElements()

  Returns this element's child elements.

  Usage Notes:
    The types of objects returned by this method may be extended in the future. Thus, callers should be able to handle object types other than those listed in the returns field below.
  Invocation Context:
    READ

  Specified by:
    `childElements` in interface `XDSElement`
  Overrides:
    `childElements` in class `ElementImpl`
  Returns:
    `Collections.EMPTY_LIST` or a list of `XDSAllowAttrElement` and `NonXDSElement` objects; will not return `null`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD